System Requirements

Recommended web browsers

We recommend all modern versions of the most widely-used web browsers, such as Internet Explorer (version 8 or later), Firefox, Safari and Chrome.

» Upgrade your Internet Explorer browser

If you can't make the upgrade yourself, please contact your IT department.

Are you testing a beta version of a browser? We are continually testing new web browsers and versions. We regret if we are not able to support your version but would welcome your feedback on how Projectplace works with it. Please send us your feedback on Projectplace Ideas.

With Projectplace Plug-in and Document Manager you can simplify document management and work more efficiently in your projects. The functionality differs depending on which browser you are using.

We recommend

PC

OS Windows 7 and later versions*
Web browser Internet Explorer 8 or later
Firefox
E-mail program Outlook 2000 and later versions

These programs support import and export of contacts and meetings.

* To use the Projectplace Plug-in in Windows Vista, you must use the 32-bit version of Vista.  To use the Projectplace Plug-in in Windows 7 64-bit, you must use the the 32-bit version of IE8. Read more about Projectplace Plug-in.

Mac

OS Mac OS X
Web browser Firefox
Safari
E-mail program Mail 1.3.4 or later versions

These programs support import and export of contacts and meetings.